<!DOCTYPE html>
 <html>
 <head>
 	<title>Nexus docs</title>
  <style type="text/css">
    body {
    margin-left: auto;
    margin-right: auto;
    width: 30em;
    background-color: whitesmoke;
}
  </style>
 </head>
 <body>
  <table>
    <td>
      <tr>
  <code>
 	<h3>Troubleshooting Nexus</h3>
   <p>first step to troubleshooting, if you are having issues with Nexus please open up a github issue <a href="https://github.com/JohnTeBrown/Nexus-Target-Verifier/issues">@Nexus Issues</a></p>
   <hr>
  <h5>issues</h5>
  <details>
    <summary><span style="color: royalblue;"><u>Unsupported OS</u></span></summary>
    <p>Nexus only works on certain supported <strong>LINUX/UNIX</strong> distros</p>
    <p>it will not function or work on Microsoft Windows or Apple Mac OSX.</p>
    <p>Nexus supports:</p>
    <ol>
      <li>Debian/Debian based distros</li>
      <li>Arch/Arch based distros</li>
      <li>FreeBSD</li>
      <li>Solaris</li>
    </ol>
    <p>if your OS is either based or the following listed above you will be met with a error upon the Nexus package build stage</p>
    <p>please stay up to date with news as we may add support for future operating systems or Linux Distros</p>
  </details>
  <br>
  <details>
    <summary><span style="color: royalblue;"><u>Package's not found</u></span></summary>
    <p>if Nexus is unable to find the packages on your system rerun the program</p>
    <p>during the setup phase nexus installs the packages but will still give a error stating the packages are not found</p>
    <p>rerunning the program should work because the formerly missing packages will be installed a ready to be used</p>
    <p>if your package manager for some reason cannot find the packages in it's repo's</p>
    <p>then please find other means to add repo's that do carry the required packages too your package manager</p>
    <p>if for some reason you are unable to add repo's that can be read and used by your packaage manager</p>
    <p>then please build the required packages from scratch</p>
    <h6>required package list</h6>
    <ol>
      <li>Lua</li>
      <li>Cmake</li>
      <li>Python</li>
    </ol>
  </details>
  <br>
  <details>
    <summary><span style="color: royalblue;"><u>Cmake install error "Nebulae"</u></span></summary>
    <p>Cmake error nebulae is a error that occurs when your cmake package is either corrupted or missing essential files to work</p>
    <p>to fix the error please first attempt to reinstall cmake via your package manager</p>
    <p>if your using apt or dpkg on debian based systems attempt to fix broken or missing packages</p>
    <p>if this method of fixing error code nebulae fails please make a github issue for further support</p>
    <h6>Error code example</h6>
    <i>| Cmake install failed ;; "Neblae" |</i>
  </details>
  <br>
  <details>
    <summary><span style="color: royalblue;"><u>Lua version error</u></span></summary>
    <p>Lua is more of a backup package and does not quite serve a purpose yet</p>
    <p>if you encounter a error that mentions conflicts with the lua package then please uninstall Lua and clear your package cache</p>
    <p>after uninstalling lua please make a github issue so we can look into ways of preventing this common package conflict</p>
    <p>please re-run the program once the package is gone and you have cleared it's cache files.</p>
  </details>
  <br>
  <details>
    <summary><span style="color: royalblue;"><u>Clang failed for X reason</u></span></summary>
    <p>if clang fails to compile and read the C, C++ files then please make a github issue that includes the log file</p>
    <p>once you have made a github issue please wait for a response and work with contributors or junior developers as needed</p>
    <p>if your issue is not resolved your issue ticket on github will be marked with P2 Unsolved as it's status</p>
    <p>this means your issue will become a slightly higher priority and we will mark the issue as solved once we resolve the error/bug.</p>
  </details>
  <br>
  <details>
    <summary><span style="color: royalblue;"><u>security & risk concerns</u></span></summary>
    <p>if you are concerned about the security of your system while using Nexus and Nexus related tools or products</p>
    <p>then please refer to the <a href="https://github.com/JohnTeBrown/Nexus-Target-Verifier/blob/main/SECURITY.md">SECURITY.md</a> on github</p>
    <p>keep your linux kernel up to date to protect against potential vulnerabilties and exploits</p>
    <p>refrain from running dangerouse scripts or running root level commands via the web console tab in the nexus panel</p>
    <p>refrain from installing or running scripts or root level commands in the container shell "shell.sh"</p>
    <p>the container shell connects directly to the devilbox backend which is the engine that gives Nexus life.</p>
  </details>
  <br>
  <details>
    <summary><span style="color: royalblue;"><u>Web egnine issues</u></span></summary>
    <p>issues regarding the web engine <a href="http://devilbox.org/">DevilBox</a> should not be posted as a issue on the Nexus github</p>
    <p>instead please notify the <a href="http://devilbox.org/">DevilBox</a> maintiners on the the official github.</p>
    <p>issues about <a href="http://devilbox.org/">DevilBox</a> will be ignored and the issue will be closed for it simpily being out of our control.</p>
    <p>thank you for understanding.</p>
  </details>
  </code>
  <tr>
</td>
</table border="1" cellspacing="1.3">
 </body>
 </html>